package com.emr.dao;

import com.emr.entity.ExportTask;
import com.emr.vo.ExportTaskVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExportTaskMapper {
    int deleteByPrimaryKey(Integer taskId);

    int insert(ExportTask record);

    int insertSelective(ExportTask record);

    ExportTask selectByPrimaryKey(Integer taskId);

    int updateByPrimaryKeySelective(ExportTask record);

    int updateByPrimaryKey(ExportTask record);

    ExportTask getExportTaskByName(@Param("taskName") String taskName);

    List<ExportTaskVo> getExportTaskList(@Param("record") ExportTask exportTask,@Param("startTime") String startTime,@Param("endTime") String endTime);
}